nischmod(1)

NAME
nischmod - change access rights on a NIS+ object

SYNOPSIS
nischmod [ -ALPf ] mode name...

DESCRIPTION

nischmod changes the access rights of the NIS+ objects or entries specified by name to mode. Entries are specified using indexed names (see nismatch(1)). Only principals with modify access to an object may change its mode.

mode has the following form:

    rights [, rights]...

rights has the form:

    [ who ] op permission [ op permission ]...

who is a combination of:

    n   Nobody's permissions.
    o   Owner's permissions.
    g   Group's permissions.
    w   World's permissions.
    a   All, or owg.

    If who is omitted, the default is a.

op is one of:

    +   To grant the permission.
    -   To revoke the permission.
    =   To set the permissions explicitly.

permission is any combination of:
    r   Read.
    m   Modify.
    c   Create.
    d   Destroy.

OPTIONS

-A  Modify all entries in all tables in the concatenation path that match the search criteria specified in name. This option implies the -P switch.

-L  Follow links and change the permission of the linked object or entries rather than the permission of the link itself.

-P  Follow the concatenation path within a named table. This option is only applicable when either name is an indexed name or the -L switch is also specified and the named object is a link pointing to an entry.

-f  Force the operation and fail silently if it does not succeed.

EXAMPLES

This example gives everyone read access to an object. (i.e., access for owner, group, and all).

    example% nischmod a+r object

This example denies all privileges to unauthenticated clients (nobody).
    example% nischmod n-rcmd object

In this example, the default permissions are set for an object.
    example% nischmod o=rmcd,wg=r,n= object

This example sets the permissions of an entry in the password table so that the group owner can modify them.
    example% nischmod g+m '[uid=1002],passwd.org_dir'

The next example changes the permissions of a linked object.
    example% nischmod -L g+rm linkname

ENVIRONMENT

NIS_PATH
    If this variable is set, and the NIS+ name is not fully qualified, each directory specified will be searched until the object is found (see nisdefaults(1)).

EXIT CODES

nischmod returns 0 on success and 1 on failure.

SEE ALSO
nischgrp(1), nischown(1), nisdefaults(1)

AUTHOR
This version of the nischmod command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.